Summary:	Core Rules for mod_security
Name:		apache-mod_security-crs
Version:	3.3.5
Release:	%mkrel 2
License:	ASL 2.0
Group:		System/Servers
URL:		https://www.modsecurity.org/
Source0:	https://github.com/coreruleset/coreruleset/archive/refs/tags/v3.3.5.tar.gz
Requires:	apache-mod_security >= 2.9.6
BuildArch:	noarch
Obsoletes:	apache-mod_security-crs-extra < 2.3

%description
This package provides the rules for mod_security.

%prep

%setup -q -n coreruleset-%version

%build

%install
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d

install -d %{buildroot}%{_prefix}/lib/modsecurity.d/rules

install -m 644 crs-setup.conf.example \
    %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/
install -m 644 rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/rules/

# activate rules
for f in `ls %{buildroot}/%{_prefix}/lib/modsecurity.d/rules/` ; do 
    ln -s %{_prefix}/lib/modsecurity.d/rules/$f \
        %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/$f; 
done

%files
%doc CHANGES.md CONTRIBUTING.md CONTRIBUTORS.md INSTALL KNOWN_BUGS LICENSE README.md SECURITY.md SPONSORS.md
%config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity.d/*
%{_prefix}/lib/modsecurity.d/rules


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.3.5-2.mga10
+ Revision: 2221520
- Mageia 10 Mass Rebuild

* Fri Mar 15 2024 ns80 <ns80> 3.3.5-1.mga10
+ Revision: 2049989
- new version 3.3.5 for many CVEs (mga#30977)

* Sat Mar 19 2022 umeabot <umeabot> 2.2.9-6.mga9
+ Revision: 1801108
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.2.9-5.mga8
+ Revision: 1490403
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-4.mga7
+ Revision: 1261989
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-3.mga7
+ Revision: 1260193
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-2.mga7
+ Revision: 1259757
- Mageia 7 Mass Rebuild

* Thu Feb 25 2016 oden <oden> 2.2.9-1.mga6
+ Revision: 979143
- 2.2.9

* Thu Feb 04 2016 umeabot <umeabot> 2.2.7-5.mga6
+ Revision: 936246
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.7-4.mga5
+ Revision: 741605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.7-3.mga5
+ Revision: 677847
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.7-2.mga4
+ Revision: 525582
- Mageia 4 Mass Rebuild

* Fri May 31 2013 oden <oden> 2.2.7-1.mga4
+ Revision: 433716
- fix build
- 2.2.7

* Fri Jan 11 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 345864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 oden <oden> 2.2.6-1.mga3
+ Revision: 334178
- 2.2.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 2.2.5-1.mga3
+ Revision: 283933
- imported package apache-mod_security-crs

